#
# spec file for package AdobeICCProfiles
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           AdobeICCProfiles
Version:        2.0
Release:        157.7
Summary:        Adobe ICC Profiles
License:        NonFree
Source0:        AdobeColorProfiles-bundler.rpm.tar.gz
Source1:        EULA
BuildArch:      noarch

%description
Build quality color workflows with Adobe ICC profiles.

Adobe wants to enable consistent, high-quality color workflows. For
color workflows to succeed, color information must be shared by many
people, from original creator to final publisher.

Enclosed in our compressed archive are:

4 RGB profiles

Adobe RGB (1998) Apple RGB ColorMatch RGB sRGB IEC61966-2.1

10 CMYK profiles

US Web Coated (SWOP) v2 US Web Uncoated v2 US Sheetfed Coated v2 US
Sheetfed Uncoated v2 Europe ISO Coated FOGRA27 Euroscale Uncoated v2
Japan Web Coated (Ad) Japan Color 2001 Coated Japan Color 2001 Uncoated
Japan Color 2002 Newspaper

For more information on ICC profiles, visit the International Color
Consortium website (http://www.color.org/).

For more information on ICC color management, see the technical guides
on the Adobe website.

System requirements Any system-level or application-level color
management system that uses ICC color profiles.

%prep
# Work-around problem with to cd to directory with spaces in the name.
%autosetup -T -a0 -c %{name}-%{version}
rpm2cpio adobe-color-profiles-1.0-1.noarch.rpm >adobe-color-profiles-1.0-1.cpio
cpio -d -m -i <adobe-color-profiles-1.0-1.cpio
# WARNING: Race condition during unpacking!
chmod og-w -R usr/share/color/icc
chmod -x "usr/share/color/icc/Adobe ICC Profiles"/*/*.ic?

%build

%install
# WARNING: You must make sure, that all files are installed!
# License requires it.
mkdir -p "%{buildroot}%{_datadir}/color/icc/Adobe ICC Profiles"
cp -a "usr/share/color/icc/Adobe ICC Profiles"/*Profiles "%{buildroot}%{_datadir}/color/icc/Adobe ICC Profiles"
mkdir -p %{buildroot}%{_docdir}/%{name}
cp -a %{SOURCE1} %{buildroot}%{_docdir}/%{name}
cp -a "usr/share/color/icc/Adobe ICC Profiles"/*.pdf %{buildroot}%{_docdir}/%{name}
## Location of files in the RPM package from Adobe.
#for DOC in *.pdf ; do
#  ln -s "%{_docdir}/%{name}/$DOC" "$RPM_BUILD_ROOT%{_datadir}/color/icc/$DOC"
#done

%files
%doc %{_docdir}/%{name}
%{_datadir}/color

%changelog
* Tue Jun 20 2023 Martin Pluskal <mpluskal@suse.com>
- Do not use url for source and drop project url as neither is
  accessible anymore
* Tue Mar  5 2019 Martin Pluskal <mpluskal@suse.com>
- Modernise spec file
* Sun Sep 27 2015 mpluskal@suse.com
- Use url for source
* Thu Sep 10 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Wed Feb  5 2014 cfarrell@suse.com
- license update: SUSE-NonFree
  Repackage from Repackage from
  http://www.adobe.com/support/downloads/detail.jsp?ftpID=3682 (ICC for
  bundlers rather than for end users). The license agreement is different
  and more suitable for a linux distro. The RPM license remains
  SUSE-NonFree though.
* Wed Aug  8 2007 sbrabec@suse.cz
- Repackaged using new official source (no change in files).
* Thu Mar 29 2007 coolo@suse.de
- fix BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec  7 2005 sbrabec@suse.cz
- Profiles moved to subdirectory.
- Added EULA as a separate text file.
* Wed Nov 23 2005 sbrabec@suse.cz
- Initial repackage of version 2.0.
